### Function

# Gio DBusError set_dbus_error_valist

since: 2.26

#### Declaration [src]

    void
    g_dbus_error_set_dbus_error_valist (
      GError** error,
      const gchar* dbus_error_name,
      const gchar* dbus_error_message,
      const gchar* format,
      va_list var_args
    )

#### Description [src]

Like `g_dbus_error_set_dbus_error()` but intended for language bindings.

Available since: 2.26

This function is not directly available to language bindings.

#### Parameters

`error`

  Type: `GError`

  Return location for a `GError`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`dbus_error_name`

  Type: `const gchar*`

  D-Bus error name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dbus_error_message`

  Type: `const gchar*`

  D-Bus error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  `printf()`-style format to prepend to `dbus_error_message`, or `NULL` to not modify the message.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  Arguments for `format`.